Subject: RE: [External] : bug#51240: 27.2; Binding find-library commands

From: Drew Adams <[email-masked]>
Date: Sat, 16 Oct 2021 18:28:43 +0000

> I see that the other-window and other-frame versions of
> find-library were added in Emacs 26 but none of them were
> bound to keys as discussed in Emacs bug#26712.  And if I'm
> looking at the correct source tree, still aren't bound in
> Emacs 28.  It seemed like there was concensus on replacing
> the bindings of the find-function commands with new
> find-function-or-library versions but the included patches
> were never applied and the bug archived.
> 
> There was also discussion in bug#2270 that also didn't seem
> to come to resolution.
> 
> I (bind and) use find-library all the time, typically to
> view the source of a 3rd party package I've installed via
> elpa (since entering the package name is easier than a
> function name).  Is there a better way to do this?  If not,
> could these commands be bound (possibly in Emacs 28)?

+1.

[But isn't this essentially bug #26712? and 2270?
(which was closed as Done, but with no key binding)]

IMO, we should bind `find-library-other-window' to
`C-x 4 l' and `find-library-other-frame' to `C-x 5 l'.
___

[And this is from someone who doesn't Emacs to waste
key bindings.  These bindings just make sense.  I
almost never use `find-library'.  I use `C-x 4 l'
(which, because I use non-nil `pop-up-frames', opens
in another frame).]
___

Maybe this will happen in another decade or two?...
I proposed this in 2007 (as soon as `find-library'
was added, if I'm not mistaken).